bm::similarity_batch< SDESCR > Struct Template Reference

`#include <bmalgo_similarity.h>`

## Public Types

typedef SDESCR | similaruty_descriptor_type
typedef SDESCR::similarity_object_type | similarity_object_type
typedef SDESCR::similarity_value_type | similarity_value_type
typedef SDESCR::similarity_functor | similarity_functor
typedef std::vector< SDESCR > | vector_type

## Public Member Functions

void | calculate ()
| run the similarity calculation using distance metrics engine
void | sort ()
void | reserve (size_t cap)
void | push_back (const similaruty_descriptor_type &sdt)

## Data Fields

std::vector< SDESCR > | descr_vect_

## Detailed Description

template<class SDESCR>
struct bm::similarity_batch< SDESCR >

Batch of objects for similarity measurement

Definition at line 136 of file bmalgo_similarity.h.

## Member Typedef Documentation

## similarity_functor

template<class SDESCR>

typedef SDESCR::similarity_functor bm::similarity_batch< SDESCR >::similarity_functor

Definition at line 141 of file bmalgo_similarity.h.

## similarity_object_type

template<class SDESCR>

typedef SDESCR::similarity_object_type bm::similarity_batch< SDESCR >::similarity_object_type

Definition at line 139 of file bmalgo_similarity.h.

## similarity_value_type

template<class SDESCR>

typedef SDESCR::similarity_value_type bm::similarity_batch< SDESCR >::similarity_value_type

Definition at line 140 of file bmalgo_similarity.h.

## similaruty_descriptor_type

template<class SDESCR>

typedef SDESCR bm::similarity_batch< SDESCR >::similaruty_descriptor_type

Definition at line 138 of file bmalgo_similarity.h.

## vector_type

template<class SDESCR>

typedef std::vector<SDESCR> bm::similarity_batch< SDESCR >::vector_type

Definition at line 142 of file bmalgo_similarity.h.

## Member Function Documentation

## calculate()

template<class SDESCR>

void bm::similarity_batch< SDESCR >::calculate | ( |  | ) |

inline

run the similarity calculation using distance metrics engine

Definition at line 145 of file bmalgo_similarity.h.

References descr_vect_, and bm::distance_operation().

## push_back()

template<class SDESCR>

void bm::similarity_batch< SDESCR >::push_back | ( | const similaruty_descriptor_type & | sdt | ) |

inline

Definition at line 175 of file bmalgo_similarity.h.

References descr_vect_.

## reserve()

template<class SDESCR>

void bm::similarity_batch< SDESCR >::reserve | ( | size_t | cap | ) |

inline

Definition at line 170 of file bmalgo_similarity.h.

References descr_vect_.

## sort()

template<class SDESCR>

void bm::similarity_batch< SDESCR >::sort | ( |  | ) |

inline

Definition at line 165 of file bmalgo_similarity.h.

References descr_vect_.

## Field Documentation

## descr_vect_

template<class SDESCR>

std::vector<SDESCR> bm::similarity_batch< SDESCR >::descr_vect_

Definition at line 181 of file bmalgo_similarity.h.

Referenced by calculate(), push_back(), reserve(), and sort().

The documentation for this struct was generated from the following file:

- bmalgo_similarity.h